Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/dev/cgd Fix quoting (quotes really do not nest...) and...
details: https://anonhg.NetBSD.org/src/rev/b0ce82cc689e
branches: trunk
changeset: 455683:b0ce82cc689e
user: kre <kre%NetBSD.org@localhost>
date: Wed Apr 10 06:13:21 2019 +0000
description:
Fix quoting (quotes really do not nest...) and remove a bunch of it
that is harmless, but also pointless (in sh, quotes do not make strings,
everything is a string, rather they hide characters which would have
some other meaning unquoted (like spaces) - quotes are not needed around
strings like "descr" so remove them...
Be more consistent with line wrap style, try to avoid wrapping in the
middle of a (sh) word where possible. Avoid \ use when it is not needed.
Un-KNF (C style) - sh has no declarations, there is no need to leave
blank lines at the head of a function to mark the end of the declarations.
This should be a NFC - but the quoting really was broken before, just
was probably harmless breakage.
diffstat:
tests/dev/cgd/t_cgd.sh | 64 ++++++++++++++++++++++---------------------------
1 files changed, 29 insertions(+), 35 deletions(-)
diffs (168 lines):
diff -r 4455bf70db6e -r b0ce82cc689e tests/dev/cgd/t_cgd.sh
--- a/tests/dev/cgd/t_cgd.sh Wed Apr 10 06:11:37 2019 +0000
+++ b/tests/dev/cgd/t_cgd.sh Wed Apr 10 06:13:21 2019 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_cgd.sh,v 1.12 2019/04/10 06:09:39 kre Exp $
+# $NetBSD: t_cgd.sh,v 1.13 2019/04/10 06:13:21 kre Exp $
#
# Copyright (c) 2010 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -34,13 +34,12 @@
basic_head()
{
- atf_set "descr" "Tests that encrypt/decrypt works"
- atf_set "require.progs" "rump_server"
+ atf_set descr "Tests that encrypt/decrypt works"
+ atf_set require.progs rump_server
}
basic_body()
{
-
d=$(atf_get_srcdir)
atf_check -s exit:0 \
${cgdserver} -d key=/dev/dk,hostpath=dk.img,size=1m unix://csock
@@ -57,7 +56,6 @@
basic_cleanup()
{
-
env RUMP_SERVER=unix://csock rump.halt || true
}
@@ -65,28 +63,27 @@
wrongpass_head()
{
- atf_set "descr" "Tests that wrong password does not give original " \
- "plaintext"
- atf_set "require.progs" "rump_server"
+ atf_set descr \
+ "Tests that wrong password does not give original plaintext"
+ atf_set require.progs rump_server
}
wrongpass_body()
{
-
d=$(atf_get_srcdir)
atf_check -s exit:0 \
${cgdserver} -d key=/dev/dk,hostpath=dk.img,size=1m unix://csock
export RUMP_SERVER=unix://csock
- atf_check -s exit:0 -x "echo 12345 | \
- rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
+ atf_check -s exit:0 -x \
+ "echo 12345 | rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
atf_check -s exit:0 -e ignore -x \
"dd if=${d}/t_cgd | rump.dd of=${rawcgd} count=2"
# unconfig and reconfig cgd
atf_check -s exit:0 rump.cgdconfig -u cgd0
- atf_check -s exit:0 -x "echo 54321 | \
- rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
+ atf_check -s exit:0 -x \
+ "echo 54321 | rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
atf_check -s exit:0 -e ignore dd if=${d}/t_cgd of=testfile count=2
atf_check -s exit:0 -e ignore -o not-file:testfile \
@@ -95,7 +92,6 @@
wrongpass_cleanup()
{
-
env RUMP_SERVER=unix://csock rump.halt || true
}
@@ -103,9 +99,8 @@
atf_test_case unaligned_write cleanup
unaligned_write_head()
{
-
- atf_set "descr" "Attempt unaligned writes to a raw cgd device"
- atf_set "require.progs" "rump_server"
+ atf_set descr "Attempt unaligned writes to a raw cgd device"
+ atf_set require.progs rump_server
}
unaligned_write_body()
@@ -115,8 +110,8 @@
${cgdserver} -d key=/dev/dk,hostpath=dk.img,size=1m unix://csock
export RUMP_SERVER=unix://csock
- atf_check -s exit:0 -x "echo 12345 | \
- rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
+ atf_check -s exit:0 -x \
+ "echo 12345 | rump.cgdconfig -p cgd0 /dev/dk ${d}/paramsfile"
# Check that cgd rejects writes of totally bogus lengths.
atf_check -s not-exit:0 -e ignore -x \
@@ -133,8 +128,8 @@
# packetizing the input on bogus boundaries and using the
# bizarre behaviour of `bs=N' in dd.
atf_check -s not-exit:0 -e ignore -x \
- "(echo -n x && sleep 1 && head -c 511 </dev/zero) \
- | rump.dd of=${rawcgd} bs=512"
+ "(echo -n x && sleep 1 && head -c 511 </dev/zero) |
+ rump.dd of=${rawcgd} bs=512"
# Check that cgd rejects sector-length writes if they are not
# on sector boundaries. Doesn't work because dd can't be
@@ -152,35 +147,35 @@
vmeth_failure_body()
{
-
local vmeth="$1"
local d=$(atf_get_srcdir)
atf_check -s exit:0 \
${cgdserver} -d key=/dev/dk,hostpath=dk.img,size=1m unix://csock
export RUMP_SERVER=unix://csock
- atf_check -s not-exit:0 -e ignore -x "echo 12345 | \
- rump.cgdconfig -V "${vmeth}" -p cgd0 /dev/dk ${d}/paramsfile"
- atf_check -s exit:0 -o not-match:"(^| )cgd0( |$)" rump.sysctl -n hw.disknames
+ atf_check -s not-exit:0 -e ignore -x \
+ "echo 12345 |
+ rump.cgdconfig -V '${vmeth}' -p cgd0 /dev/dk ${d}/paramsfile"
+ atf_check -s exit:0 -o not-match:'(^| )cgd0( |$)' \
+ rump.sysctl -n hw.disknames
}
test_case_vmeth_failure()
{
-
local vmeth="${1}"
local name="vmeth_failure_${vmeth}"
atf_test_case "${name}" cleanup
- eval "${name}_head() { \
- atf_set "descr" "Tests verification method \"${vmeth}\" failure" ; \
- atf_set "require.progs" "rump_server" ; \
+ eval "${name}_head() {
+ atf_set descr 'Tests verification method \"${vmeth}\" failure'
+ atf_set require.progs rump_server
}"
- eval "${name}_body() { \
- vmeth_failure_body "${vmeth}" ; \
+ eval "${name}_body() {
+ vmeth_failure_body '${vmeth}'
}"
- eval "${name}_cleanup() { \
- rump.cgdconfig -u cgd0 2>/dev/null ; \
- env RUMP_SERVER=unix://csock rump.halt || true ; \
+ eval "${name}_cleanup() {
+ rump.cgdconfig -u cgd0 2>/dev/null
+ env RUMP_SERVER=unix://csock rump.halt || true
}"
}
@@ -191,7 +186,6 @@
atf_init_test_cases()
{
-
atf_add_test_case basic
atf_add_test_case wrongpass
atf_add_test_case unaligned_write
Home |
Main Index |
Thread Index |
Old Index